
User Interface - Bug #3061

ENTER key does not generate a GO event in GUI

04/11/2016 04:30 AM - Hynek Cihlar

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Hynek Cihlar % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Cleanup and Stabilization for GUI   

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 04/11/2016 04:32 AM - Hynek Cihlar

In ask-gui.p, when run in the current trunk, one can see a problem where the ENTER key does not generate a GO event. F2 can be used to generate

the GO but the ENTER is always ignored.

Similarly ENTER does not confirm selected value in COMBO-BOX drop-down.

#2 - 04/13/2016 12:40 PM - Hynek Cihlar

It took me a while to figure out the following problem.

When an overlay window was closed (hidden and destroyed), Swing would not send focus-lost for the overlay window and focus-gained for the

owner. This didn't put input focus into the main window and so the app seemed to freeze (until mouse clicked into the main window).

It turned out to be caused by the order of window-hide and window-activate requests. The window-activate for the owner must be issued before the

overlay window is made hidden, the vice versa doesn't work. I made a comment in the code for future reference.

#3 - 04/13/2016 04:13 PM - Hynek Cihlar

Please review task branch 3061a revision 11008, rebased against trunk 11001.

The revision resolves both issues mentioned in note 1. It also adds some related fixes. GUI regression tests passed, ChUI in progress.

#4 - 04/14/2016 03:46 AM - Hynek Cihlar

The last ChUI regression test run for 3061a finished with 10 suspected false negatives. I am restarting the tests.

#5 - 04/14/2016 10:01 AM - Greg Shah

Code Review Task Branch 3061a Revision 11008

I'm fine with the changes.  If correct, they simplify our approach which is great.

Constantin/Sergey: please review.

Igor: please review the FillIn change.
#6 - 04/14/2016 10:14 AM - Hynek Cihlar

Task branch 3061a revision 11008 passed GUI and ChUI regression tests.

#7 - 04/14/2016 10:24 AM - Greg Shah

Please rebase and then let's discuss if any further testing is needed.

#8 - 04/14/2016 10:44 AM - Igor Skornyakov

Greg Shah wrote:

Igor: please review the FillIn change.

 

The change looks OK. In fact it is a fix of my bug.

#9 - 04/14/2016 10:48 AM - Hynek Cihlar

While rebasing against trunk 11003 there are nontrivial conflicts, regression retest will be needed.

#10 - 04/14/2016 11:16 AM - Constantin Asofiei

Greg Shah wrote:

Code Review Task Branch 3061a Revision 11008

...

Constantin...: please review.

 

I'm OK with the changes.

#11 - 04/14/2016 12:29 PM - Hynek Cihlar

Rebased 3061a against trunk 11003, the branch is now at revision 11011. The revision has passef GUI regression tests, ChUI regression in progress.

#12 - 04/15/2016 03:06 AM - Hynek Cihlar

3061a revision 11011 passed regression testing and is ready to be merged to trunk.

#13 - 04/15/2016 07:30 AM - Greg Shah

Sergey: please review.

Hynek: If Sergey is OK, please merge to trunk.

#14 - 04/15/2016 08:11 AM - Sergey Ivanovskiy

Hynek, I tested ./ask-gui.p with the Swing client for 3061a branch 11011. Rebuild the project several times and checked the configuration. It seems
that ENTER doesn't work only if F2 is pressed. May be you don't commit something? And for my environment the client window appears inactive and

continues to be inactive after minimizing and restoring and pressing keys in the program input field.

#15 - 04/15/2016 08:14 AM - Sergey Ivanovskiy

It was my mistake forgot the p2j link.

#16 - 04/15/2016 08:18 AM - Hynek Cihlar

Sergey Ivanovskiy wrote:

And for my environment the client window appears inactive and continues to be inactive after minimizing and restoring and pressing keys in the

program input field.

 

As for the window activation issues, these are about to be resolved by #2823.

#17 - 04/15/2016 08:19 AM - Sergey Ivanovskiy

Fixed configuration and tested ask-gui.p. The code changes is ok for me.

#18 - 04/15/2016 08:34 AM - Hynek Cihlar

3061a merged to trunk revision 11004 and archived.

#19 - 04/15/2016 08:35 AM - Hynek Cihlar

- % Done changed from 0 to 100

#20 - 04/15/2016 08:37 AM - Greg Shah

- Start date deleted (04/11/2016)

- Status changed from New to Closed

- Assignee set to Hynek Cihlar

- Target version set to Milestone 16

#21 - 11/16/2016 12:22 PM - Greg Shah

- Target version changed from Milestone 16 to Cleanup and Stabilization for GUI
